Latest 1.0.2
Homepage https://github.com/benjdum59/UIVIewController-isModal
License MIT
Platforms ios 8.0, requires ARC
Authors

CI Status
Version
License
Platform

Usage

To run the example project, clone the repo, and run pod install from the Example directory first.

This simple extension provides a way to determine if current UIViewController is modal

import UIViewController_isModal
//...
//Then use:
UIViewController.isModal

Requirements

Installation

UIViewController+isModal is available through CocoaPods. To install
it, simply add the following line to your Podfile:

pod "UIViewController+isModal"

Author

benjdum59, [email protected]

License

UIViewController+isModal is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "UIViewController+isModal",
    "version": "1.0.2",
    "summary": "Determine if current UIViewController is modal",
    "description": ""Simple extension to determine if presented UIViewController is modal"",
    "homepage": "https://github.com/benjdum59/UIVIewController-isModal",
    "license": "MIT",
    "authors": {
        "benjdum59": "[email protected]"
    },
    "source": {
        "git": "https://github.com/benjdum59/UIViewController-isModal.git",
        "tag": "1.0.2"
    },
    "platforms": {
        "ios": "8.0"
    },
    "requires_arc": true,
    "source_files": "Pod/Classes/**/*",
    "resource_bundles": {
        "isModal": [
            "Pod/Assets/*.png"
        ]
    }
}

Pin It on Pinterest

Share This